/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2011-10-30
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmComInterface.utils;

import java.util.UUID;

/**
 * Utility class to generate new UUIDs.
 *
 * @author fhe
 */
public class UuidGenerator {

    /**
     * Creates a new UUID for message identifiers.
     *
     * @return UUID as String
     */
    public static String generateNewId() {
        return UUID.randomUUID().toString();
    }
}
