/*
 *  
 */
package eu.intuitel.types;

/**
 * LmsParameter communication style.
 *
 * @author Florian Heberle
 */
public enum ComStyle {

    Pull,
    Push,
    PushWithPolling;

    public static ComStyle fromInt(Integer value) {
        if (value == null) {
            return null;
        } else if (value == 0) {
            return Pull;
        } else if (value == 1) {
            return Push;
        } else if (value == 2) {
            return PushWithPolling;
        }
        return null;
    }

    public static Integer toInt(ComStyle value) {
        if (value == Pull) {
            return 0;
        } else if (value == Push) {
            return 1;
        } else if (value == PushWithPolling) {
            return 2;
        }
        return null;
    }
}
