/*
 *  
 */

package eu.intuitel.types;

/**
 * LmsParameter USE level.
 * 
 * @author Florian Heberle
 */
public enum UseLvl {
    
    EmulateViaTug,
    Normal;
    
    public static UseLvl fromInt(Integer value) {
        if (value == null) {
            return null;
        } else if (value == 0) {
            return EmulateViaTug;
        } else if (value == 1) {
            return Normal;
        } 
        return null;
    }

    public static Integer toInt(UseLvl value) {
        if (value == EmulateViaTug) {
            return 0;
        } else if (value == Normal) {
            return 1;
        } 
        return null;
    }
}
