/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Ovidiu Serban, University of Reading, www.reading.ac.uk
 * Contributor: Jaime Costa, University of Reading, www.reading.ac.uk
 * Version: [0.01]
 * Date: 03.02.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.access;

/**
 * Special exception type to encapsulate differnt types of exception for easier handling in the
 * INTUITEL DB-layer.
 *
 * @author Florian Heberle
 */
public class DbAccessException extends Exception {

    public DbAccessException(String message) {
        super(message);
    }

    public DbAccessException(String message, Throwable cause) {
        super(message, cause);
    }

    public DbAccessException(Throwable cause) {
        super(cause.getMessage(), cause);
    }
}
