/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Ovidiu Serban, University of Reading, www.reading.ac.uk
 * Contributor: Jaime Costa, University of Reading, www.reading.ac.uk
 * Version: [0.01]
 * Date: 22.07.2014
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.db.model;
// Generated 22.07.2014 10:30:46 by Hibernate Tools 3.6.0

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.util.Date;

@Embeddable
public class KnowledgeObjectScoreId implements java.io.Serializable {
    private Date time;
    private String learnerId;
    private String courseId;
    private String knowledgeObjectIri;

    public KnowledgeObjectScoreId() {
    }

    public KnowledgeObjectScoreId(Date time, String learnerId, String knowledgeObjectIri, String courseId) {
        this.time = time;
        this.learnerId = learnerId;
        this.courseId = courseId;
        this.knowledgeObjectIri = knowledgeObjectIri;
    }

    @Column(name = "Time", nullable = false, length = 19)
    public Date getTime() {
        return this.time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    @Column(name = "Learner_Id", nullable = false, length = 50)
    public String getLearnerId() {
        return this.learnerId;
    }

    public void setLearnerId(String learnerId) {
        this.learnerId = learnerId;
    }

    @Column(name = "KnowledgeObject_Iri", nullable = false)
    public String getKnowledgeObjectIri() {
        return this.knowledgeObjectIri;
    }

    public void setKnowledgeObjectIri(String knowledgeObjectIri) {
        this.knowledgeObjectIri = knowledgeObjectIri;
    }

    @Column(name = "CourseId", nullable = false, length = 10)
    public String getCourseId() {
        return this.courseId;
    }

    public void setCourseId(String courseId) {
        this.courseId = courseId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        KnowledgeObjectScoreId that = (KnowledgeObjectScoreId) o;

        return !(courseId != null ? !courseId.equals(that.courseId) : that.courseId != null)
               && !(knowledgeObjectIri != null
                            ? !knowledgeObjectIri.equals(that.knowledgeObjectIri)
                            : that.knowledgeObjectIri != null)
               && !(learnerId != null ? !learnerId.equals(that.learnerId) : that.learnerId != null)
               && !(time != null ? !time.equals(that.time) : that.time != null);
    }

    @Override
    public int hashCode() {
        int result = time != null ? time.hashCode() : 0;
        result = 31 * result + (learnerId != null ? learnerId.hashCode() : 0);
        result = 31 * result + (courseId != null ? courseId.hashCode() : 0);
        result = 31 * result + (knowledgeObjectIri != null ? knowledgeObjectIri.hashCode() : 0);
        return result;
    }
}
