package de.fzi.herakles.job.impl;

import java.util.Date;

public class JobStatistic {

	private int executeCalledCount;

	private Date lastCall;

	private JobFrequence jobFrequence;

	public JobStatistic() {
		this.executeCalledCount = 0;
		this.lastCall = null;
		this.jobFrequence = JobFrequence.LOW;
	}

	public void isCalled() {
		this.executeCalledCount++;
		// TODO Change JobFequnce
		this.lastCall = new Date();
	}

	public JobFrequence getJobFrequence() {
		return this.jobFrequence;
	}

	public int getExecuteCalledCount() {
		return this.executeCalledCount;
	}

	public Date getLastCall() {
		return this.lastCall;
	}
}
