/**
 * 
 */
package de.fzi.herakles.registry.impl;

import static org.junit.Assert.*;

import org.junit.Test;

import de.fzi.herakles.registry.ServerRegistry;

/**
 * @author luckfish
 *
 */
public class ServerRegistryFactoryTest {

	@Test
	public void singeltonInstanceTest() {
		ServerRegistryFactory instance1 = ServerRegistryFactory.getInstance();
		
		assertNotNull(instance1);
		
		ServerRegistryFactory instance2 = ServerRegistryFactory.getInstance();
		
		assertNotNull(instance2);
		
		assertSame(instance1, instance2);
	}
	
	@Test
	public void getServerRegistrySingeltonTest() {
		
		ServerRegistry serverRegistry1 = ServerRegistryFactory.getInstance().getServerRegistry();
		
		assertNotNull(serverRegistry1);
		
		ServerRegistry serverRegistry2 = ServerRegistryFactory.getInstance().getServerRegistry();
		
		assertNotNull(serverRegistry2);
		
		assertSame(serverRegistry1, serverRegistry2);
		
	}

}
