package de.fzi.herakles.registry.impl;

import static org.junit.Assert.*;

import org.junit.Test;

import de.fzi.herakles.registry.ServerRegistry;
import de.fzi.herakles.registry.impl.ServerRegistryImpl;

public class ServerRegistryImplTest {

	@Test
	public void test() {
		String host = "localhost";
		int port = 8080;
		
		ServerRegistry serverRegistry = new ServerRegistryImpl();
		
		assertFalse(serverRegistry.isServerAdapterRegistered(host, port));
		
		serverRegistry.createAndAddServerAdatper(host, port);
		
		assertTrue(serverRegistry.isServerAdapterRegistered(host, port));
		
		serverRegistry.removeServerAdapter(host, port);
		
		assertFalse(serverRegistry.isServerAdapterRegistered(host, port));
		
	}

}
