package de.fzi.owllink.reasoner.server.reasoner;

import org.semanticweb.owlapi.owllink.server.serverfactory.OWLlinkServerFactory;

import de.fzi.owllink.reasoner.server.entities.Capability;
import de.fzi.owllink.reasoner.server.entities.Version;
import de.fzi.owllink.reasoner.server.httpxmlserver.StopableOWLlinkHTTPXMLServer;

public interface ExtendedOWLlinkServerFactory extends OWLlinkServerFactory {

	String getName();
	
	Version getVersion();
	
	Capability getCapability();
	
	StopableOWLlinkHTTPXMLServer createServer(int port);
	
}
