/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2014-05-08
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmComInterface.wrappers;

/**
 * Base interface for incoming messages.
 *
 * @author fhe
 */
public interface IIncomingMsg {

    /**
     * The message ID of the incoming message.
     *
     * @return UUID of the message
     */
    public String getMID();
}
