/**
 * Creator: INTUITEL Consortium, www.intuitel.eu
 * Contributor: Florian Heberle, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Contributor: Alexander Streicher, Fraunhofer IOSB, www.iosb.fraunhofer.de
 * Contributor: Kevin Fuchs, University of Applied Sciences Karlsruhe, www.hs-karlsruhe.de
 * Version: [0.01]
 * Date: 2013-10-30
 * Copyright: Copyright (C) INTUITEL Consortium
 * License: The license that applies to this file has not yet been determined
 */
package eu.intuitel.lpmComInterface;

import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.Before;

/**
 * Tests for the Main-class which starts and stops the LPM application.
 *
 * @author fhe
 */
public class MainTest {

    @Before
    public void beforeTest() {
        Main.msgHandler = null;
    }

    @Test
    public void testBridgeing() {
        assertTrue("Setting up log bridging returned false.", Main.bridgeLogging());
    }
}