package de.fzi.herakles.executor.impl;

import java.util.Map;

import de.fzi.herakles.reasoner.HeraklesException;

public class ExecutorException extends HeraklesException {

	private static final long serialVersionUID = 4571068685255278464L;
	
	private Map<String, Throwable> reasonerExecptionMap;
	
	public ExecutorException(Map<String, Throwable> reasonerExecptionMap) {
		this.reasonerExecptionMap = reasonerExecptionMap;
	}

	public ExecutorException(String message) {
		super(message);
	}

	public Map<String, Throwable> getReasonerExecptionMap() {
		return reasonerExecptionMap;
	}

}
