/*
* Copyright (C) 2013, FZI Forschungszentrum Informatik
*
* Modifications to the initial code base are copyright of their
* respective authors, or their employers as appropriate. Authorship
* of the modifications may be determined from the ChangeLog placed at
* the end of this file.
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 3.0 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
*/
package de.fzi.owllink.rest.commons.xml;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * 
 * @author Marcel Weigel
 *
 */
@XmlRootElement
public class XmlReasonerType {
	
	private String id;
	private String name;
	private XmlVersion xmlVersion;
	private XmlCapability xmlCapability;

	public XmlReasonerType() {
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public XmlVersion getXmlVersion() {
		return xmlVersion;
	}

	public void setXmlVersion(XmlVersion xmlVersion) {
		this.xmlVersion = xmlVersion;
	}

	public XmlCapability getXmlCapability() {
		return xmlCapability;
	}

	public void setXmlCapability(XmlCapability xmlCapability) {
		this.xmlCapability = xmlCapability;
	}
	
}
